/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003, 2004    (see file CONTACTS for details)
  Multimediale Systeme der Informationsverarbeitung
  Institut fuer Informatik
  Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <fstream>
using namespace BIAS;
using namespace std;

//int main(int argc, char *argv[])
int main()
{
  // write 2 uuids to a file using << operator
  ofstream teststream("test.txt");
  BIAS::UUID testid = BIAS::UUID::GenerateUUID();
  BIAS::UUID testid2 = BIAS::UUID::GenerateUUID();

  // test timer
//   for (unsigned int i=0;i<10; i++) 
//     testid = BIAS::UUID::GenerateUUID();
//   exit(0);

  cout <<"testid has size "<<sizeof(testid)<<endl;

  
  cout << "Writing <"<<testid<<"> and  <"<<testid2 <<">"<<endl;
  teststream << testid << " " << testid2;
  teststream.close();
  
  // generate new uuid
  BIAS::UUID readid;
  readid = BIAS::UUID::GenerateUUID();
  cout << "Before reading: "<<readid<<endl;
  // read the written uuids
  ifstream testread("test.txt");
  testread >> readid;
  if (!readid.IsValid()) cout <<"Invalid!";
  cout << "After reading: "<<readid<<endl;
  testread >> readid;
  if (!readid.IsValid()) cout <<"Invalid!";
  cout << "After reading(2): "<<readid<<endl;
  return 0;
}
